# mako-babel

> A mako plugin that transpiles ES6 code using [babel](http://babeljs.io/).

[![npm version](https://img.shields.io/npm/v/mako-babel.svg)](https://www.npmjs.com/package/mako-babel)
[![build status](https://img.shields.io/travis/makojs/babel.svg)](https://travis-ci.org/makojs/babel)
[![coverage](https://img.shields.io/coveralls/makojs/babel.svg)](https://coveralls.io/github/makojs/babel)
[![npm dependencies](https://img.shields.io/david/makojs/babel.svg)](https://david-dm.org/makojs/babel)
[![npm dev dependencies](https://img.shields.io/david/dev/makojs/babel.svg)](https://david-dm.org/makojs/babel#info=devDependencies)
[![code style](https://img.shields.io/badge/code%20style-standard-brightgreen.svg)](http://standardjs.com/)

## Purpose

 - transpiles `file.contents` using babel
 - can output inline source-maps which [mako-js](https://github.com/makojs/js) respects during packing
 - respects `.babelrc` files for configuration (assumes `node_modules` are precompiled)

## API

### babel(options)

Available `options` include:
 - `extensions`: a list of extensions to compile. (default: `js`)
 - `only`: a whitelist of files (globs, functions and regex allowed) to compile (takes precedence over `ignore`)
 - `ignore`: a blacklist of files to compile
 - `sourceMaps`: turn on to enable source maps
 - `plugins`: list of plugins to include when running babel
 - `presets`: list of presets to include when running babel

This plugin does not expose a lot of configuration, as using a `.babelrc` file is encouraged.

**NOTE:** by default, this module ignores anything in `node_modules` by default. Any modules should be precompiled
before being published to NPM. If there is enough demand for it, I will consider adding configuration for other
workflows. (although I will point out it is discouraged by the babel team as far as I can tell)
